if settings.startup["saline-water"].value then
data:extend(
{
{
    type = "technology",
    name = "salt-water",
    icon_size = 128,
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"fluid-handling"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "offshore-pump"
      },
	  {
        type = "unlock-recipe",
        recipe = "fresh-water"
      },
    },
    unit =
    {
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"production-science-pack", 1},
        {"high-tech-science-pack", 1}
      },
      time = 30,
      count = 500
    },
    order = "d-a-a"
  },
  
  --- SALINE TO FRESH
  
  {
    type = "recipe",
    name = "fresh-water",
    category = "chemistry",
    enabled = false,
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="saline-water", amount=100},
	  {type="item", name="coal", amount=1},
    },
    results=
    {
      {type="fluid", name="water", amount=100},
	  {type="item", name="stone", amount=3},
    },
    main_product= "",
    icon = "__base__/graphics/icons/fluid/water.png",
    icon_size = 32,
    subgroup = "fluid-recipes",
    order = "b[fluid-chemistry]-a[heavy-oil-cracking]",
    crafting_machine_tint =
    {
      primary = {r = 0.290, g = 0.027, b = 0.000, a = 0.000}, -- #49060000
      secondary = {r = 0.722, g = 0.465, b = 0.190, a = 0.000}, -- #b8763000
      tertiary = {r = 0.870, g = 0.365, b = 0.000, a = 0.000}, -- #dd5d0000
    }
  },
    
  -- offshore pump
  
  {
    type = "recipe",
    name = "offshore-pump",
	enabled = false,
    ingredients =
    {
      {"advanced-circuit", 2},
      {"pipe", 1},
      {"steel-plate", 5}
    },
    result = "offshore-pump"
  },
  
  })
  
  end

data.raw["mining-drill"]["pumpjack"].resource_categories = {"water-fluid","basic-fluid"}
data.raw["offshore-pump"]["offshore-pump"].fluid = "saline-water"
data.raw["recipe"]["offshore-pump"].enabled = false
